
MLEB Web Framework - Feature #7185

Public and Private Page Handing 

06 April 2020 09:29 AM - chok yee fan

Status: Resolved Start date: 06 April 2020

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Public screen without authenticate can access.

Private screen must login only can access.

Use AuthGuard in Router to hander

History

#1 - 07 April 2020 08:26 PM - Tan Ping TP

Revision: 189221

Author: tanping

Date: Tuesday, April 7, 2020 8:12:16 PM

Message:

Feature #7185

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/containers

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/auth.guard.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/side-bar.guard.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/models

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/models/tokens.ts

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/services

Added : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/services/auth.service.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/login/login.component.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.component.html

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/shared/layout/mleb-side-layout/mleb-side-layout.component.ts

#2 - 10 April 2020 12:27 PM - Tan Ping TP

- Status changed from New to Resolved

#3 - 10 April 2020 12:27 PM - Tan Ping TP

- Assignee set to chok yee fan
#4 - 27 April 2020 10:37 AM - chok yee fan

- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Tan Ping TP

Implement this  #7411 first, then show how easy caller to use the service/function to check

#5 - 09 December 2020 02:52 PM - chok yee fan

- Assignee changed from Tan Ping TP to Kee Yong Cheng

#6 - 15 December 2020 10:31 AM - Kee Yong Cheng

- Status changed from Feedback to Resolved

- Assignee changed from Kee Yong Cheng to chok yee fan

Revision: 201333

Author: intkeeyc

Date: Tuesday, December 15, 2020 10:04:59 AM

Message:

Kee Yong Cheng: Public and Private Page Handing using AuthGuard only

----

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app-routing.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/app.module.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/guards/auth.guard.ts

Modified : /S-MADP/02_BaseProjects/BASE100/trunk/cc-base-web/src/app/auth/services/auth.service.ts
